Bug 997218 - [abrt] yum-3.4.3-105.fc19: sqlitecachec.py:46:getPrimary:TypeError: Parsing primary.xml error: Document is empty
[abrt] yum-3.4.3-105.fc19: sqlitecachec.py:46:getPrimary:TypeError: Parsing p...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:131a04c884a6e2c260b36728ab7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 20:49 EDT by Bill O.
Modified: 2015-02-17 11:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:46:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.06 KB, text/plain)
2013-08-14 20:49 EDT, Bill O.
no flags Details
File: environ (2.26 KB, text/plain)
2013-08-14 20:49 EDT, Bill O.
no flags Details

  None (edit)
Description Bill O. 2013-08-14 20:49:42 EDT
Description of problem:
In new install of Fedora 19, viewing .wmv video then opened Chrome v. 28.0.1500.95. Audio/Video both suddenly stopped and VLC (2.0.8 Twoflower) halted and closed. Chrome continued to function.  Issue was immediately non-repeatable. 

Version-Release number of selected component:
yum-3.4.3-105.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /bin/yum update
dso_list:       yum-metadata-parser-1.1.4-8.fc19.i686
executable:     /bin/yum
kernel:         3.10.5-201.fc19.i686.PAE
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sqlitecachec.py:46:getPrimary:TypeError: Parsing primary.xml error: Document is empty


Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 316, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 126, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 532, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 494, in doCommand
    ret = base.updatePkgs(extcmds, update_to=(basecmd == 'update-to'))
  File "/usr/share/yum-cli/cli.py", line 974, in updatePkgs
    self.update()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4957, in update
    updates = self.up.getUpdatesTuples()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1069, in <lambda>
    up = property(fget=lambda self: self._getUpdates(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 830, in _getUpdates
    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1050, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 770, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 383, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 260, in populate
    dobj = repo_cache_function(xml, csum)
  File "/usr/lib/python2.7/site-packages/sqlitecachec.py", line 46, in getPrimary
    self.repoid))
TypeError: Parsing primary.xml error: Document is empty


Local variables in innermost frame:
checksum: '88d49ed011b25a9bbb075c562764119e9c41afae'
self: <sqlitecachec.RepodataParserSqlite instance at 0x9af8c8c>
location: '/var/cache/yum/i386/19/google-chrome/gen/primary.xml'

Potential duplicate: bug 879069
Comment 1 Bill O. 2013-08-14 20:49:46 EDT
Created attachment 786752 [details]
File: backtrace
Comment 2 Bill O. 2013-08-14 20:49:49 EDT
Created attachment 786753 [details]
File: environ
Comment 3 Fedora End Of Life 2015-01-09 14:27:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:46:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.